# Search Account Domains

Use this endpoint to search account domains. You can filter the results by status, keyword, and pagination settings.

| Endpoint         |                                                                                                                                 |
| ---------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| Method           | GET                                                                                                                             |
| Request URL      | `/api/v1/account/{accountUuid}/domain`                                                                                          |
| **Headers**      |                                                                                                                                 |
| Authorization \* | Bearer TOKEN                                                                                                                    |
| Content-Type     | application/json                                                                                                                |
| **Request**      |                                                                                                                                 |
| accountUuid \*   | Target account UUID                                                                                                             |
| limit            | Limit records, max is 1000, default 25                                                                                          |
| offset           | Offset records, default 0                                                                                                       |
| keyword          | Part of domain name for search                                                                                                  |
| status           | Domain status to search. Can be on of (UNVERIFIED, ACTIVE, INACTIVE) and virtual status VERIFIED, which means ACTIVE + INACTIVE |

### **Response example**

```
{
  "data": [
    {
      "accountUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "domain": "google.com",
      "status": "ACTIVE",
      "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "verifyInfo": {
        "domain": "_whitedoc-verify",
        "value": "abc123"
      },
      "verifyMethod": "DNS_TXT_RECORD"
    },
    {
      "accountUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "domain": "facebook.com",
      "status": "ACTIVE",
      "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa5",
      "verifyInfo": {
        "domain": "_whitedoc-verify",
        "value": "abc124"
      },
      "verifyMethod": "DNS_TXT_RECORD"
    }
  ],
  "numberOfElements": 2,
  "sizeRequested": 25,
  "totalElements": 2
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/account-domains/search-account-domains.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
